/* firesokker-juniors.js
 *
 * Add junior data to fire message
 *
 * @author   $Author: meraner $
 * @date     $Date: 2008-08-29 11:40:52 +0200 (Fri, 29 Aug 2008) $
 * @revision $Revision: 86 $
 */

/* Function: fsok_formatTables
 *
 * This function adds player data to the confirmation dialog
 * on the juniors page.
 *
 * @param obj   doc         the document node
 *
 * @return void
 */
function fsok_juniorNames(doc) {
	if (fsok_prefs.getBoolPref("juniors_names")) {
		var tables = doc.getElementsByTagName('table');
		var juniorstable = tables[tables.length - 1];

		var trs = juniorstable.getElementsByTagName('tr');



		// get all the tables and modify the specified ones
		for (var i = 1; i < trs.length; i++) {
			var tds = trs[i].getElementsByTagName('td');
			if (tds.length == 4) {
				var name = fsok_getTextOnly(tds[0]).trim();
				var level = fsok_getTextOnly(tds[1]).trim();
				var weeks = fsok_getTextOnly(tds[2]).trim();
				var link = tds[3].getElementsByTagName('a')[0];
				if (link) {
				  link.href = link.href.replace(/_cos\(\'/,"_cos(\""+name+" ("+level+", "+weeks+"): ");
				  link.href = link.href.replace(/\',\'/,'",\'');
				}
			}
		}
	}
}

if (!fsok_functions["/juniors.php"])
	fsok_functions["/juniors.php"] = new Array();

fsok_functions["/juniors.php"][fsok_functions["/juniors.php"].length] = fsok_juniorNames;

